using SchoolContracts.BindingModels;
using SchoolContracts.SearchModels;
using SchoolContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SchoolContracts.BusinessLogicsContracts
{
	public interface ICoursesForStudyLogic
	{
		List<CoursesForStudyViewModel>? ReadList(CoursesForStudySearchModel? model);
		CoursesForStudyViewModel? ReadElement(CoursesForStudySearchModel model);
		bool Create(CoursesForStudyBindingModel model);
		bool Update(CoursesForStudyBindingModel model);
		bool Delete(CoursesForStudyBindingModel model);
	}
}
